org.eclipse.zest.layouts.constraints

## Class BasicEntityConstraint

- java.lang.Object
- - org.eclipse.zest.layouts.constraints.BasicEntityConstraint

All Implemented Interfaces:
  LayoutConstraint

    public class BasicEntityConstraint
    extends java.lang.Object
    implements LayoutConstraint

### Field Summary

Fields
`boolean` `hasPreferredLocation`
`boolean` `hasPreferredSize`
`double` `preferredHeight`
`double` `preferredWidth`
`double` `preferredX`
`double` `preferredY`

### Constructor Summary

Constructors
Constructor and Description
`BasicEntityConstraint()`

### Method Summary

Methods
`void` `clear()` This method clears all the fields of the layout constraints.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### hasPreferredLocation

    public boolean hasPreferredLocation

#### preferredX

    public double preferredX

#### preferredY

    public double preferredY

#### hasPreferredSize

    public boolean hasPreferredSize

#### preferredWidth

    public double preferredWidth

#### preferredHeight

    public double preferredHeight

### Constructor Detail

#### BasicEntityConstraint

    public BasicEntityConstraint()

### Method Detail

#### clear

    public void clear()

Description copied from interface: `LayoutConstraint`
This method clears all the fields of the layout constraints. This should not be called outside the layout package

Specified by:
  `clear` in interface `LayoutConstraint`